#!/usr/bin/env python
class RhevCoordinatorCommands():
    insights_execution_command = "python redhat_access_insights/__init__.py --from-file=%s --compressor=none --offline --no-gpg"
    ping_command = "ping -c 1 %s 2>&1 > /dev/null ; echo $?"
    untar_hypervisor = "mkdir %s && cd %s && tar xzf %s --strip-components=1 &> /dev/null ; echo $?"
    check_rhevh_installation = "[ -f %s ] && [ -d %s ] ; echo $?"
    install_rhevm_remove = "sudo yum remove -y redhat-access-insights"
    install_rhevm_specific = "sudo yum install --nogpgcheck -y %s"
    install_rhevm_auto = "sudo yum install --nogpgcheck -y redhat-access-insights"
    get_rhev_os_version = "cat /etc/redhat-release"
    get_insights_version = "rpm -qa 'redhat-access-insights'"
    run_insights_on_manager = "redhat-access-insights --update-collection-rules --no-upload --no-gpg --to-stdout"
    untar_gz = "cd %s && tar xf %s &> /dev/null ; echo $?"
    retar_gz = "cd %s/.. && tar cf %s.tar %s/ &> /dev/null ; echo $?"
    compress_archives = "cd %s && tar -czf %s ./ &> /dev/null ; echo $?"
    untar_everything = "cd %s && find *.tar -maxdepth 0 -exec tar xf {} \;"
    tar_all_dirs = "cd %s && find * -maxdepth 0 -type d -exec tar cf {}.tar {} \;"
    remove_all_dirs = "cd %s && find * -maxdepth 0 -type d -exec rm -r {} \;"
    remove_all_tars = "cd %s && rm -f *.tar"

    # get_command(cmd,args) ?

    # rename these to naming convention?:
    # modulename.functionname.specificcommandname
