#!/usr/bin/env python

# RHEV Coordinator Constants
class APCoordinatorConstants(object):
    # App
    app_name = 'insights-coordinator-ap'
    version = '1.0.1'
    coordinator_parser_usage = "%prog [options]"

    # SSH
    ssh_user = "root"
    ssh_port = 22
    ssh_pass = "redhat12"
    ssh_key = "/root/.ssh/id_rsa.pub"

    # Cron
    cron_file = "/etc/redhat-access-insights/insights-coordinator-ap.cron"
    cron_symlink = "/etc/cron.daily/insights-coordinator-ap"
    disable_cron = False
    enable_cron = False

    # Logger
    logging_file = "insights-coordinator-ap.log"
    logger_name = "insights-coordinator-ap"
    log_formatter = "%(asctime)s %(levelname)s %(message)s"
    log_backup_count = 3

    # Tests
    test_api = False
    test_hypervisors = False

    # Utilities
    cleanup = True
    configure = False
    interactive = False

    # RHEVM API
    api_url = 'https://localhost/api'
    api_username = 'admin@internal'
    api_password = 'redhat12'
    api_insecure = True
    api_debug = False
    api_options = [
        'datacenters',
        'clusters',
        'hosts',
        'networks',
        'disks',
        'diskprofiles',
        'storagedomains',
        'storageconnections',
        'vms',
        'vmpools',
        'vnicprofiles',
        'templates',
        'groups',
        'permissions',
        'roles',
        'users'
    ]
    register_api = False

    # Insights specific
    insights_upload = True
    archive_only = False

    # Manager Specific
    manager_metadata_filename = 'metadata.json'

    # Hypervisor Installations
    local_rhevm_installation = "/var/lib/redhat_access_insights/redhat-access-insights-*.tar.gz"
    rhevh_installation_gz = "/var/tmp/redhat-access-insights.tar.gz"  # this should probably be a random hash though probably not needed, nothing should be on the hypervisor anyway
    rhevh_installation_dir = "/var/tmp/redhat-access-insights"  # this should probably be a random hash though probably not needed, nothing should be on the hypervisor anyway
    insights_config_file = "/var/tmp/redhat-access-insights/insights-config"  # this is the file that gets read in from --from-file

    # Cluster stuff
    cluster_id_file = "/etc/redhat-access-insights/cluster-id"

    # Temporary directories
    default_tmpdir_prefix = "insights-coordinator-rhev"
    default_archive_prefix = "insights-coordinator-rhevh"

    # Configuration File
    conf_file = "/etc/redhat-access-insights/insights-coordinator-rhev.conf"

    # Verbosity
    verbose = False
