import os


class APCoordinatorCron:

    # Containers
    constants = None
    logger = None
    config = None

    # Constructor
    def __init__(self, ap_constants, ap_config, ap_logger):
        self.constants = ap_constants
        self.config = ap_config
        self.logger = ap_logger

    # Check if the cron file exists
    def cron_exists(self):
        self.logger.vlog("Checking if cron job exists...")
        if self.constants.cron_file and self.constants.cron_file != "":
            return os.path.exists(self.config.get_config_var('cron_symlink'))
        else:
            return False

    # Perform cron symlink
    def setup_cron(self):
        self.logger.vlog("Setting up cron job...")
        if self.constants.cron_file and self.constants.cron_file != "" and self.config.get_config_var('cron_symlink') and self.config.get_config_var('cron_symlink') != "":
            os.symlink(self.constants.cron_file, self.config.get_config_var('cron_symlink'))
        else:
            return False
